Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.lookup.entry
Class ServiceType

    java.lang.Object
      net.jini.entry.AbstractEntry
          net.jini.lookup.entry.ServiceType

All Implemented Interfaces:
  Entry, Serializable, ServiceControlled

Direct Known Subclasses:
  BasicServiceType

public abstract class ServiceType
extends AbstractEntry
implements ServiceControlled

Human-oriented information about the "type" of a service. This is not related to its data or class types, and is more oriented towards allowing someone to determine what a service (for example, a printer) does and that it is similar to another, without needing to know anything about data or class types for the Java(TM) platform.

See Also:
  Serialized Form

Constructor Summary
`ServiceType()` Instantiate this class.

Method Summary
`String` | `getDisplayName()` Return the localized display name of this service.
`Image` | `getIcon(int iconKind)` Get an icon for this service.
`String` | `getShortDescription()` Return a localized short description of this service.

Methods inherited from class net.jini.entry.AbstractEntry
`equals, equals, hashCode, hashCode, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceType

    public ServiceType()

  Instantiate this class.

Method Detail

### getIcon

    public Image getIcon(int iconKind)

  Get an icon for this service. This icon may be localized where appropriate. The valid parameter values are the same as for the getIcon method of java.beans.BeanInfo.

  Parameters:
    `iconKind` - the kind of icon to return
  Returns:
    the icon for this service

### getDisplayName

    public String getDisplayName()

  Return the localized display name of this service.

  Returns:
    the localized display name of this service

### getShortDescription

    public String getShortDescription()

  Return a localized short description of this service.

  Returns:
    a String representing the short description of this service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved